import os
import json 
import uuid
from dataclasses import dataclass, field
from copy import deepcopy
import pygame


def scale_image(image, n):
    orig_size = image.get_size()
    new_size = (int(orig_size[0] * n), int(orig_size[1] * n))
    return pygame.transform.smoothscale(image, new_size)